<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:14 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>DependencyInsightReportTask (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="DependencyInsightReportTask (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/gradle/api/tasks/diagnostics/BuildEnvironmentReportTask.html" title="class in org.gradle.api.tasks.diagnostics"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../org/gradle/api/tasks/diagnostics/DependencyReportTask.html" title="class in org.gradle.api.tasks.diagnostics"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/gradle/api/tasks/diagnostics/DependencyInsightReportTask.html" target="_top">Frames</a></li>
<li><a href="DependencyInsightReportTask.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.api.tasks.diagnostics</div>
<h2 title="Class DependencyInsightReportTask" class="title">Class DependencyInsightReportTask</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.gradle.api.internal.AbstractTask</li>
<li>
<ul class="inheritance">
<li><a href="../../../../../org/gradle/api/DefaultTask.html" title="class in org.gradle.api">org.gradle.api.DefaultTask</a></li>
<li>
<ul class="inheritance">
<li>org.gradle.api.tasks.diagnostics.DependencyInsightReportTask</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Comparable.html?is-external=true" title="class or interface in java.lang">Comparable</a>&lt;<a href="../../../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a>&gt;, org.gradle.api.internal.DynamicObjectAware, org.gradle.api.internal.TaskInternal, <a href="../../../../../org/gradle/api/plugins/ExtensionAware.html" title="interface in org.gradle.api.plugins">ExtensionAware</a>, <a href="../../../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a>, org.gradle.util.Configurable&lt;<a href="../../../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a>&gt;</dd>
</dl>
<hr>
<br>
<pre><a href="../../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
public class <span class="strong">DependencyInsightReportTask</span>
extends <a href="../../../../../org/gradle/api/DefaultTask.html" title="class in org.gradle.api">DefaultTask</a></pre>
<div class="block">Generates a report that attempts to answer questions like:
 <ul>
  <li>Why is this dependency in the dependency graph?</li>
  <li>Exactly which dependencies are pulling this dependency into the graph?</li>
  <li>What is the actual version (i.e. *selected* version) of the dependency that will be used? Is it the same as what was *requested*?</li>
  <li>Why is the *selected* version of a dependency different to the *requested*?</li>
 </ul>

 Use this task to get insight into a particular dependency (or dependencies)
 and find out what exactly happens during dependency resolution and conflict resolution.
 If the dependency version was forced or selected by the conflict resolution
 this information will be available in the report.
 <p>
 While the regular dependencies report (<a href="../../../../../org/gradle/api/tasks/diagnostics/DependencyReportTask.html" title="class in org.gradle.api.tasks.diagnostics"><code>DependencyReportTask</code></a>) shows the path from the top level dependencies down through the transitive dependencies,
 the dependency insight report shows the path from a particular dependency to the dependencies that pulled it in.
 That is, it is an inverted view of the regular dependencies report.
 <p>
 The task requires setting the dependency spec and the configuration.
 For more information on how to configure those please refer to docs for
 <a href="../../../../../org/gradle/api/tasks/diagnostics/DependencyInsightReportTask.html#setDependencySpec(java.lang.Object)"><code>setDependencySpec(Object)</code></a> and
 <a href="../../../../../org/gradle/api/tasks/diagnostics/DependencyInsightReportTask.html#setConfiguration(java.lang.String)"><code>setConfiguration(String)</code></a>.
 <p>
 The task can also be configured from the command line.
 For more information please refer to <a href="../../../../../org/gradle/api/tasks/diagnostics/DependencyInsightReportTask.html#setDependencySpec(java.lang.Object)"><code>setDependencySpec(Object)</code></a>
 and <a href="../../../../../org/gradle/api/tasks/diagnostics/DependencyInsightReportTask.html#setConfiguration(java.lang.String)"><code>setConfiguration(String)</code></a></div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested_class_summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="nested_classes_inherited_from_class_org.gradle.api.Task">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from interface&nbsp;org.gradle.api.<a href="../../../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a></h3>
<code><a href="../../../../../org/gradle/api/Task.Namer.html" title="class in org.gradle.api">Task.Namer</a></code></li>
</ul>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields_inherited_from_class_org.gradle.api.Task">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;org.gradle.api.<a href="../../../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a></h3>
<code><a href="../../../../../org/gradle/api/Task.html#TASK_ACTION">TASK_ACTION</a>, <a href="../../../../../org/gradle/api/Task.html#TASK_DEPENDS_ON">TASK_DEPENDS_ON</a>, <a href="../../../../../org/gradle/api/Task.html#TASK_DESCRIPTION">TASK_DESCRIPTION</a>, <a href="../../../../../org/gradle/api/Task.html#TASK_GROUP">TASK_GROUP</a>, <a href="../../../../../org/gradle/api/Task.html#TASK_NAME">TASK_NAME</a>, <a href="../../../../../org/gradle/api/Task.html#TASK_OVERWRITE">TASK_OVERWRITE</a>, <a href="../../../../../org/gradle/api/Task.html#TASK_TYPE">TASK_TYPE</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../../../../../org/gradle/api/tasks/diagnostics/DependencyInsightReportTask.html#DependencyInsightReportTask()">DependencyInsightReportTask</a></strong>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/api/artifacts/Configuration.html" title="interface in org.gradle.api.artifacts">Configuration</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/diagnostics/DependencyInsightReportTask.html#getConfiguration()">getConfiguration</a></strong>()</code>
<div class="block">Configuration to look the dependency in</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/api/specs/Spec.html" title="interface in org.gradle.api.specs">Spec</a>&lt;<a href="../../../../../org/gradle/api/artifacts/result/DependencyResult.html" title="interface in org.gradle.api.artifacts.result">DependencyResult</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/diagnostics/DependencyInsightReportTask.html#getDependencySpec()">getDependencySpec</a></strong>()</code>
<div class="block">Selects the dependency (or dependencies if multiple matches found) to show the report for.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected org.gradle.internal.logging.text.StyledTextOutputFactory</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/diagnostics/DependencyInsightReportTask.html#getTextOutputFactory()">getTextOutputFactory</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected org.gradle.api.internal.artifacts.ivyservice.ivyresolve.strategy.VersionComparator</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/diagnostics/DependencyInsightReportTask.html#getVersionComparator()">getVersionComparator</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected org.gradle.api.internal.artifacts.ivyservice.ivyresolve.strategy.VersionSelectorScheme</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/diagnostics/DependencyInsightReportTask.html#getVersionSelectorScheme()">getVersionSelectorScheme</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/diagnostics/DependencyInsightReportTask.html#report()">report</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/diagnostics/DependencyInsightReportTask.html#setConfiguration(org.gradle.api.artifacts.Configuration)">setConfiguration</a></strong>(<a href="../../../../../org/gradle/api/artifacts/Configuration.html" title="interface in org.gradle.api.artifacts">Configuration</a>&nbsp;configuration)</code>
<div class="block">Sets the configuration to look the dependency in.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/diagnostics/DependencyInsightReportTask.html#setConfiguration(java.lang.String)">setConfiguration</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;configurationName)</code>
<div class="block">Sets the configuration (via name) to look the dependency in.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/diagnostics/DependencyInsightReportTask.html#setDependencySpec(java.lang.Object)">setDependencySpec</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;dependencyInsightNotation)</code>
<div class="block">Configures the dependency to show the report for.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/diagnostics/DependencyInsightReportTask.html#setDependencySpec(org.gradle.api.specs.Spec)">setDependencySpec</a></strong>(<a href="../../../../../org/gradle/api/specs/Spec.html" title="interface in org.gradle.api.specs">Spec</a>&lt;<a href="../../../../../org/gradle/api/artifacts/result/DependencyResult.html" title="interface in org.gradle.api.artifacts.result">DependencyResult</a>&gt;&nbsp;dependencySpec)</code>
<div class="block">The dependency spec selects the dependency (or dependencies if multiple matches found) to show the report for.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.api.internal.AbstractTask">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.gradle.api.internal.AbstractTask</h3>
<code>addValidator, appendParallelSafeAction, compareTo, configure, deleteAllActions, dependsOn, dependsOnTaskDidWork, doFirst, doFirst, doFirst, doLast, doLast, doLast, execute, finalizedBy, getActions, getAnt, getAsDynamicObject, getConvention, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExecuter, getExtensions, getFinalizedBy, getGroup, getIdentityPath, getImpliesSubProjects, getInputs, getLogger, getLogging, getMustRunAfter, getName, getOnlyIf, getOutputs, getPath, getProject, getServices, getShouldRunAfter, getStandardOutputCapture, getState, getTaskActions, getTaskDependencies, getTemporaryDir, getTemporaryDirFactory, getValidators, hasProperty, injectIntoNewInstance, isEnabled, isHasCustomActions, leftShift, mustRunAfter, newInputFile, newOutputDirectory, newOutputFile, onlyIf, onlyIf, prependParallelSafeAction, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setExecuter, setFinalizedBy, setGroup, setImpliesSubProjects, setMustRunAfter, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, toString</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#clone()" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#equals(java.lang.Object)" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#finalize()" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#getClass()" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#hashCode()" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notify()" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notifyAll()" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait()" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait(long)" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait(long,%20int)" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="DependencyInsightReportTask()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>DependencyInsightReportTask</h4>
<pre>public&nbsp;DependencyInsightReportTask()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getDependencySpec()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDependencySpec</h4>
<pre><a href="../../../../../org/gradle/api/tasks/Internal.html" title="annotation in org.gradle.api.tasks">@Internal</a>
public&nbsp;<a href="../../../../../org/gradle/api/specs/Spec.html" title="interface in org.gradle.api.specs">Spec</a>&lt;<a href="../../../../../org/gradle/api/artifacts/result/DependencyResult.html" title="interface in org.gradle.api.artifacts.result">DependencyResult</a>&gt;&nbsp;getDependencySpec()</pre>
<div class="block">Selects the dependency (or dependencies if multiple matches found) to show the report for.</div>
</li>
</ul>
<a name="setDependencySpec(org.gradle.api.specs.Spec)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDependencySpec</h4>
<pre>public&nbsp;void&nbsp;setDependencySpec(<a href="../../../../../org/gradle/api/specs/Spec.html" title="interface in org.gradle.api.specs">Spec</a>&lt;<a href="../../../../../org/gradle/api/artifacts/result/DependencyResult.html" title="interface in org.gradle.api.artifacts.result">DependencyResult</a>&gt;&nbsp;dependencySpec)</pre>
<div class="block">The dependency spec selects the dependency (or dependencies if multiple matches found) to show the report for. The spec receives an instance of <a href="../../../../../org/gradle/api/artifacts/result/DependencyResult.html" title="interface in org.gradle.api.artifacts.result"><code>DependencyResult</code></a> as parameter.</div>
</li>
</ul>
<a name="setDependencySpec(java.lang.Object)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDependencySpec</h4>
<pre>public&nbsp;void&nbsp;setDependencySpec(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;dependencyInsightNotation)</pre>
<div class="block">Configures the dependency to show the report for.
 Multiple notation formats are supported: Strings, instances of <a href="../../../../../org/gradle/api/specs/Spec.html" title="interface in org.gradle.api.specs"><code>Spec</code></a>
 and groovy closures. Spec and closure receive <a href="../../../../../org/gradle/api/artifacts/result/DependencyResult.html" title="interface in org.gradle.api.artifacts.result"><code>DependencyResult</code></a> as parameter.
 Examples of String notation: 'org.slf4j:slf4j-api', 'slf4j-api', or simply: 'slf4j'.
 The input may potentially match multiple dependencies.
 See also <a href="../../../../../org/gradle/api/tasks/diagnostics/DependencyInsightReportTask.html#setDependencySpec(org.gradle.api.specs.Spec)"><code>setDependencySpec(Spec)</code></a>
 <p>
 This method is exposed to the command line interface. Example usage:
 <pre>gradle dependencyInsight --dependency slf4j</pre></div>
</li>
</ul>
<a name="getConfiguration()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getConfiguration</h4>
<pre><a href="../../../../../org/gradle/api/tasks/Internal.html" title="annotation in org.gradle.api.tasks">@Internal</a>
public&nbsp;<a href="../../../../../org/gradle/api/artifacts/Configuration.html" title="interface in org.gradle.api.artifacts">Configuration</a>&nbsp;getConfiguration()</pre>
<div class="block">Configuration to look the dependency in</div>
</li>
</ul>
<a name="setConfiguration(org.gradle.api.artifacts.Configuration)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setConfiguration</h4>
<pre>public&nbsp;void&nbsp;setConfiguration(<a href="../../../../../org/gradle/api/artifacts/Configuration.html" title="interface in org.gradle.api.artifacts">Configuration</a>&nbsp;configuration)</pre>
<div class="block">Sets the configuration to look the dependency in.</div>
</li>
</ul>
<a name="setConfiguration(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setConfiguration</h4>
<pre>public&nbsp;void&nbsp;setConfiguration(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;configurationName)</pre>
<div class="block">Sets the configuration (via name) to look the dependency in.
 <p>
 This method is exposed to the command line interface. Example usage:
 <pre>gradle dependencyInsight --configuration runtime --dependency slf4j</pre></div>
</li>
</ul>
<a name="getTextOutputFactory()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTextOutputFactory</h4>
<pre>@Inject
protected&nbsp;org.gradle.internal.logging.text.StyledTextOutputFactory&nbsp;getTextOutputFactory()</pre>
</li>
</ul>
<a name="getVersionSelectorScheme()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getVersionSelectorScheme</h4>
<pre>@Inject
protected&nbsp;org.gradle.api.internal.artifacts.ivyservice.ivyresolve.strategy.VersionSelectorScheme&nbsp;getVersionSelectorScheme()</pre>
</li>
</ul>
<a name="getVersionComparator()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getVersionComparator</h4>
<pre>@Inject
protected&nbsp;org.gradle.api.internal.artifacts.ivyservice.ivyresolve.strategy.VersionComparator&nbsp;getVersionComparator()</pre>
</li>
</ul>
<a name="report()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>report</h4>
<pre>public&nbsp;void&nbsp;report()</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/gradle/api/tasks/diagnostics/BuildEnvironmentReportTask.html" title="class in org.gradle.api.tasks.diagnostics"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../org/gradle/api/tasks/diagnostics/DependencyReportTask.html" title="class in org.gradle.api.tasks.diagnostics"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/gradle/api/tasks/diagnostics/DependencyInsightReportTask.html" target="_top">Frames</a></li>
<li><a href="DependencyInsightReportTask.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
